package org.dromara.resource.danmi_sms.common;

import lombok.EqualsAndHashCode;

import java.io.Serializable;


@EqualsAndHashCode
public class DMSmsResult implements Serializable {
  private boolean success;

  private String errorMsg;

  private String smsId;

  public void setSuccess(boolean success) {
    this.success = success;
  }

  public void setErrorMsg(String errorMsg) {
    this.errorMsg = errorMsg;
  }

  public void setSmsId(String smsId) {
    this.smsId = smsId;
  }

  public String toString() {
    return "DMSmsResult(success=" + isSuccess() + ", errorMsg=" + getErrorMsg() + ", smsId=" + getSmsId() + ")";
  }

  public boolean isSuccess() {
    return this.success;
  }

  public String getErrorMsg() {
    return this.errorMsg;
  }

  public String getSmsId() {
    return this.smsId;
  }
}
